package xyz.tbvns.rogue_block.Packets.registeredPackets;

import net.minecraft.network.RegistryByteBuf;
import net.minecraft.network.codec.PacketCodec;
import net.minecraft.network.codec.PacketCodecs;
import net.minecraft.network.packet.CustomPayload;
import net.minecraft.util.Identifier;
import xyz.tbvns.rogue_block.Rogue_block;

//TODO: replace that with @Data and @AllArgsConstructor
public record BuyUpgradePacket(String upgrade) implements CustomPayload {
    public static final Id ID = new Id<BuyUpgradePacket>(Identifier.of(Rogue_block.MOD_ID, "buy_upgrade"));
    public static final PacketCodec<RegistryByteBuf, BuyUpgradePacket> CODEC = PacketCodec.tuple(PacketCodecs.STRING, BuyUpgradePacket::getUpgrade, BuyUpgradePacket::new);

    public String getUpgrade() {
        return upgrade;
    }

    @Override
    public Id<? extends CustomPayload> getId() {
        return new Id<BuyUpgradePacket>(Identifier.of(Rogue_block.MOD_ID, "buy_upgrade"));
    }
}
